Get admin overview
curl --request GET \
--url https://api.openworklabs.com/v1/admin/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/admin/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/admin/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"viewer": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"admins": [
{}
],
"summary": {
"totalUsers": 123,
"totalOrganizations": 123,
"verifiedUsers": 123,
"recentUsers7d": 123,
"recentUsers30d": 123,
"totalWorkers": 123,
"cloudWorkers": 123,
"localWorkers": 123,
"usersWithWorkers": 123,
"usersWithoutWorkers": 123,
"paidUsers": 123,
"unpaidUsers": 123,
"billingUnavailableUsers": 123,
"adminCount": 123,
"billingLoaded": true,
"activeUsers1d": 123,
"activeUsers7d": 123,
"activeUsers30d": 123,
"realActiveUsers1d": 123,
"realActiveUsers7d": 123,
"realActiveUsers30d": 123,
"recurringUsers": 123,
"inviters": 123,
"medianHoursToFirstInvite": 123,
"activitySeries": [
{
"day": "<string>",
"activeUsers": 123,
"realActiveUsers": 123,
"signups": 123
}
]
},
"users": [
{}
],
"organizations": [
{}
],
"userPage": {
"total": 123,
"limit": 123,
"offset": 123,
"returned": 123,
"hasMore": true,
"search": "<string>",
"durationMs": 123
},
"organizationPage": {
"total": 123,
"limit": 123,
"offset": 123,
"returned": 123,
"hasMore": true,
"search": "<string>",
"durationMs": 123
},
"generatedAt": "2023-11-07T05:31:56Z"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}Admin
Get admin overview
Returns the initial admin overview with bounded user data, global totals, and required pagination metadata. Expensive analytics are loaded separately from /v1/admin/metrics.
GET
/
v1
/
admin
/
overview
Get admin overview
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Response
Administrative overview returned successfully.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?